Update Webhook
curl --request PUT \
--url {protocol}://{domain}/api/v1/webhooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'url=<string>' \
--data 'secret=<string>'import requests
url = "{protocol}://{domain}/api/v1/webhooks/{id}"
payload = {
"url": "<string>",
"secret": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.put(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({url: '<string>', secret: '<string>'})
};
fetch('{protocol}://{domain}/api/v1/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Webhook
Update Webhook
Update webhook configuration
PUT
/
api
/
v1
/
webhooks
/
{id}
Error
A valid request URL is required to generate request examplesAuthorizations
Bearer token authentication supports:
- Personal API tokens (PATs)
- OAuth2 access tokens
- JWT tokens
Example: Authorization: Bearer your_token_here
Path Parameters
Response
200
Webhook updated
Was this page helpful?
⌘I
